#!/usr/bin/python3
# -*- coding: utf-8 -*-

# exJS_00.py

from smbus import SMBus
import time,os 
import RPi.GPIO as GPIO
import json

def setup():
	global ir,BUTTON_START,TRIG,ECHO
	
	BUTTON_START = 17
	os.system("clear")
	ir = SMBus(1)
	GPIO.setwarnings(False)
	GPIO.setmode(GPIO.BCM)
	GPIO.setup(BUTTON_START,GPIO.IN,pull_up_down=GPIO.PUD_UP)
	TRIG = 5                                   #Associate pin 5 to TRIG
	ECHO = 6                                   #Associate pin 6 to ECHO
	GPIO.setup(TRIG,GPIO.OUT)                  #Set pin as GPIO out
	GPIO.setup(ECHO,GPIO.IN)                   #Set pin as GPIO in
	GPIO.output(TRIG, False)                   #Set TRIG as LOW
	
def main():
	with open("pr.json", "r") as read_file:
		data = json.load(read_file)
		print(data)
	sensors = json.dumps({"us": 27,"button": "N","ir": {"fFL": "W","fCL": "W","fCC": "B","fCR": "W","fFR": "W","bL": "W","bR": "W"}}, sort_keys=True, indent=4, separators=(',', ': '))
	print(sensors)
	"""
	try:
		while True:
			vShowIR()
			time.sleep(0.1) 
			
	except KeyboardInterrupt:
		os.system("clear")
		print ("\nSortint ...")
	"""
setup()
main()
