#!/usr/bin/python3
# -*- coding: utf-8 -*-

# ir01.py

from smbus import SMBus
import time,os 

def byIR():
	global ir
	
	ucB = ir.read_byte(0x39)
	
	return ucB	

def gotoxy(x,y):
	print ("%c[%d;%df" % (0x1B, y, x), end='') 

def setup():
	global ir
	
	os.system("clear")
	ir = SMBus(1)

def main():
	try:
		while True:
			gotoxy(1,1)
			print("Reading byte at 0x39 address: 0x%X"%byIR())
			time.sleep(0.1) 
			
	except KeyboardInterrupt:
		print ("\nSortint ...")

setup()
main()
